# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-XML-Validator-Schema
Version:        1.10
Release:        alt2_12
Summary:        Validate XML against a subset of W3C XML Schema
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/XML-Validator-Schema/
Source0:        http://www.cpan.org/modules/by-module/XML/XML-Validator-Schema-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Tree/DAG_Node.pm)
BuildRequires:  perl(XML/Filter/BufferText.pm)
BuildRequires:  perl(XML/SAX.pm)
BuildRequires:  perl(XML/SAX/Base.pm)
BuildRequires:  perl(XML/SAX/Exception.pm)
BuildRequires:  perl(XML/SAX/ParserFactory.pm)
# Tests
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:	perl(Test/More.pm)
# Optional tests
BuildRequires:  perl(XML/SAX/Writer.pm)
Requires:       perl(XML/SAX.pm) >= 0.12
Source44: import.info

%description
This module allows you to validate XML documents against a W3C XML Schema.
This module does not implement the full W3C XML Schema recommendation
(http://www.w3.org/XML/Schema), but a useful subset.

%prep
%setup -q -n XML-Validator-Schema-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ANNOUNCE Changes README TODO
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.10-alt2_12
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt2_11
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt2_9
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1_9
- fc import

